> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Save a trace's human review

PUT https://astropods.com/api/v1/agents/{account}/{name}/evaluations/{traceId}/human-review
Content-Type: application/json

Reference: https://docs.astropods.com/api-reference/astropods-api/evaluations/save-a-traces-human-review

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account` (string, required) — Account name
- `name` (string, required) — Agent name
- `traceId` (string, required) — Trace ID

### Body (application/json)

This endpoint expects a HumanReviewRequest.

- `deployment_id` (string, optional)
- `evaluation_ref` (string, optional)
- `evaluation_run_id` (string, optional, nullable)
- `evaluator_outputs` (list of datasetItemEvaluatorOutput, optional)
- `update_dataset_snapshot` (boolean, optional)

## Response

### 200

OK

- `dataset_snapshot_updated` (boolean, optional)
- `human_review` (PublicHumanReview, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 404 Not Found Error

Not Found

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 409 Conflict Error

Conflict

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 500 Internal Server Error

Internal Server Error

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 502 Bad Gateway Error

Bad Gateway

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 503 Service Unavailable Error

Service Unavailable

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### datasetItemEvaluatorOutput

- `key` (string, optional)
- `value` (any, optional, nullable)

### PublicHumanReview

- `evaluation_ref` (string, optional)
- `evaluation_run_id` (string, optional, nullable)
- `evaluator_outputs` (list of TraceHumanReviewOutput, optional)
- `id` (string, optional)
- `reviewed_by_user_id` (string, optional)
- `updated_at` (string, optional)

### TraceHumanReviewOutput

- `key` (string, optional)
- `value` (any, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "dataset_snapshot_updated": true,
  "human_review": {
    "evaluation_ref": "string",
    "evaluation_run_id": "string",
    "evaluator_outputs": [
      {
        "key": "string"
      }
    ],
    "id": "string",
    "reviewed_by_user_id": "string",
    "updated_at": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/agents/account/name/evaluations/traceId/human-review")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```